configure: Disable avresample if an old version of yasm is used.
authorCarl Eugen Hoyos <cehoyos@ag.or.at>
Sat, 13 Jul 2013 15:16:44 +0000 (17:16 +0200)
committerCarl Eugen Hoyos <cehoyos@ag.or.at>
Sat, 13 Jul 2013 15:16:44 +0000 (17:16 +0200)
The avresample maintainers decided not to support old versions of yasm.
Supporting old yasm in FFmpeg was no big effort in the last months,
so keep it for the time being.

configure

index 7dfeec1..1ec8032 100755 (executable)
--- a/configure
+++ b/configure
@@ -3934,7 +3934,7 @@ EOF
 
         check_yasm "pextrd [eax], xmm0, 1" && enable yasm ||
             die "yasm not found, use --disable-yasm for a crippled build"
-        check_yasm "vextractf128 xmm0, ymm0, 0"      || disable avx_external
+        check_yasm "vextractf128 xmm0, ymm0, 0"      || disable avx_external avresample
         check_yasm "vfmaddps ymm0, ymm1, ymm2, ymm3" || disable fma4_external
         check_yasm "CPU amdnop" && enabled i686 && enable cpunop
     fi